MINI-BUILDD-SUPER-PORTEXT(1)

NAME
mini-buildd-super-portext - EXPERIMENTAL: Portext a source package including all dependencies.

DESCRIPTION
usage: mbu-super-portext [-h] [--version] [-l LOG_LEVEL] [-M MIRROR] [-U]

    ENDPOINT SOURCE DISTRIBUTION

EXPERIMENTAL: Portext a source package including all dependencies.

  positional arguments:

ENDPOINT
    HTTP target endpoint: Twisted-style Network Client Endpoint

    See: https://twistedmatrix.com/documents/current/core/howto/endpoints.html#clients

    Notation Examples::

'tcp:host=localhost:port=8066': Connect to localhost, unencrypted.
    'tls:host=localhost:port=8066': Connect to localhost, encrypted. 'http://localhost:8066' : Extra URL-style syntax (prefer twisted-style in saved configs, though). 'localhost:8066' : Compatibility host:port syntax (don't use -- might eventually go away).

SOURCE
    Pattern or DSC URL

DISTRIBUTION
    distribution to portext to

  options:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-l, --log-level LOG_LEVEL
    set log level (if none given, ['WARNING', 'mini_buildd.INFO'] is applied by default). May also be given as ``<logger>.<level>`` to effect individual loggers only, and multiple times (check existing logs for actual logger names). (default: None)

-M, --mirror MIRROR
    Debian mirror to use (default: http://localhost:3142/debian/)

-U, --upload
    Non-dry run: Actually upload packages (default: False)

EXPERIMENTAL: Portext a source package including all dependencies.

Intended to help porting larger 'projects' (f.e. desktop environments) with a lot of source packages and inter-package build dependencies.

This still has a lot of rough edges. Use with care.

This tool uses the apt cache of the system it is run on. This needs to be set up pior to running. For example:

1. Run this in on system you want to PORT TO (f.e..: buster, 'deb' apt lines for buster). 2. Add 'deb-src' apt lines for the system you want to PORT FROM (f.e.: bullseye, 'deb-src' apt lines for bullseye). 3. sudo apt-get update 4. mini-buildd-super-portext -v http://admin@localhost:8066 http://localhost:3142/debian//pool/main/k/kguiaddons/kguiaddons_5.70.0-2.dsc buster-test-unstable

Per default, this will just print a list of DSC URLs it would portext (in this order). Use --upload to actually run 'the portexts'.